import request from '@/utils/request'

// 查询指标权重明细列表
export function listNORMFEE(query) {
  return request({
    url: '/normFee/list',
    method: 'get',
    params: query
  })
}

// 查询指标权重明细所有列表
export function listAllNORMFEE(query) {
  return request({
    url: '/normFee/listAll',
    method: 'get',
    params: query
  })
}

// 查询指标权重明细详细
export function getNORMFEE(id) {
  return request({
    url: '/normFee/getInfo/' + id,
    method: 'get'
  })
}

// 新增指标权重明细
export function addNORMFEE(data) {
  return request({
    url: '/normFee/add',
    method: 'post',
    data: data
  })
}

// 修改指标权重明细
export function updateNORMFEE(data) {
  return request({
    url: '/normFee/edit',
    method: 'post',
    data: data
  })
}

// 删除指标权重明细
export function delNORMFEE(id) {
  return request({
    url: '/normFee/remove/' + id,
    method: 'get'
  })
}
